Subject: Systems Industries CS-1?

From: Ethan Dicks <[email-masked]>
Date: Tue Jun 24 18:17:30 2003

I have this dual-height Qbus card that I was told was a SCSI card
(got it from a former boss).  It has a 50-pin connector and gives
the appearance of being a SCSI card, but I can't find any docs on
it online.  The logo reminds me of Systems Industries', and the
model number appears to be "CS-1".  I checked with Al's site and
there's no SI docs there at all.  There's a good chance that this
is a TMSCP device, not an MSCP device, but I don't know that for
sure.

Is this board familar to anyone?

-ethan